com.independentsoft.exchange

## Class CalendarOptions

- java.lang.Object
- - com.independentsoft.exchange.CalendarOptions

-     public class CalendarOptions
      extends java.lang.Object

  The Class CalendarOptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarOptions()` Instantiates a new calendar options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReminderDefault()` Gets the reminder default.
    `int` | `getReminderUpgradeTime()` Gets the reminder upgrade time.
    `boolean` | `isAutoProcess()` Checks if is auto process.
    `boolean` | `isAutoProcessExternal()` Checks if is auto process external.
    `boolean` | `isAutoProcessNewItems()` Checks if is auto process new items.
    `boolean` | `isDeleteUpdatedItems()` Checks if is delete updated items.
    `boolean` | `isRemoveForwardedMeetingNotifications()` Checks if is removes the forwarded meeting notifications.
    `void` | `setAutoProcess(boolean autoProcess)` Sets the auto process.
    `void` | `setAutoProcessExternal(boolean autoProcessExternal)` Sets the auto process external.
    `void` | `setAutoProcessNewItems(boolean autoProcessNewItems)` Sets the auto process new items.
    `void` | `setDeleteUpdatedItems(boolean deleteUpdatedItems)` Sets the delete updated items.
    `void` | `setReminderDefault(int reminderDefault)` Sets the reminder default.
    `void` | `setReminderUpgradeTime(int reminderUpgradeTime)` Sets the reminder upgrade time.
    `void` | `setRemoveForwardedMeetingNotifications(boolean removeForwardedMeetingNotifications)` Sets the removes the forwarded meeting notifications.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarOptions

          public CalendarOptions()

      Instantiates a new calendar options.

  - ### Method Detail

    - #### isRemoveForwardedMeetingNotifications

          public boolean isRemoveForwardedMeetingNotifications()

      Checks if is removes the forwarded meeting notifications.
      Returns:
        true, if is removes the forwarded meeting notifications

    - #### setRemoveForwardedMeetingNotifications

          public void setRemoveForwardedMeetingNotifications(boolean removeForwardedMeetingNotifications)

      Sets the removes the forwarded meeting notifications.
      Parameters:
        `removeForwardedMeetingNotifications` - the new removes the forwarded meeting notifications

    - #### isAutoProcessNewItems

          public boolean isAutoProcessNewItems()

      Checks if is auto process new items.
      Returns:
        true, if is auto process new items

    - #### setAutoProcessNewItems

          public void setAutoProcessNewItems(boolean autoProcessNewItems)

      Sets the auto process new items.
      Parameters:
        `autoProcessNewItems` - the new auto process new items

    - #### isAutoProcessExternal

          public boolean isAutoProcessExternal()

      Checks if is auto process external.
      Returns:
        true, if is auto process external

    - #### setAutoProcessExternal

          public void setAutoProcessExternal(boolean autoProcessExternal)

      Sets the auto process external.
      Parameters:
        `autoProcessExternal` - the new auto process external

    - #### getReminderDefault

          public int getReminderDefault()

      Gets the reminder default.
      Returns:
        the reminder default

    - #### setReminderDefault

          public void setReminderDefault(int reminderDefault)

      Sets the reminder default.
      Parameters:
        `reminderDefault` - the new reminder default

    - #### getReminderUpgradeTime

          public int getReminderUpgradeTime()

      Gets the reminder upgrade time.
      Returns:
        the reminder upgrade time

    - #### setReminderUpgradeTime

          public void setReminderUpgradeTime(int reminderUpgradeTime)

      Sets the reminder upgrade time.
      Parameters:
        `reminderUpgradeTime` - the new reminder upgrade time

    - #### isDeleteUpdatedItems

          public boolean isDeleteUpdatedItems()

      Checks if is delete updated items.
      Returns:
        true, if is delete updated items

    - #### setDeleteUpdatedItems

          public void setDeleteUpdatedItems(boolean deleteUpdatedItems)

      Sets the delete updated items.
      Parameters:
        `deleteUpdatedItems` - the new delete updated items

    - #### isAutoProcess

          public boolean isAutoProcess()

      Checks if is auto process.
      Returns:
        true, if is auto process

    - #### setAutoProcess

          public void setAutoProcess(boolean autoProcess)

      Sets the auto process.
      Parameters:
        `autoProcess` - the new auto process